std::chi_squared_distribution< _RealType >::param_type Struct Reference

`#include <random.h>`

## Public Types

typedef chi_squared_distribution< _RealType > | distribution_type

## Public Member Functions

| param_type (_RealType __n)
_RealType | n () const

## Friends

bool | operator!= (const param_type &__p1, const param_type &__p2)
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

template<typename _RealType = double>
struct std::chi_squared_distribution< _RealType >::param_type

Parameter type.

Definition at line 2634 of file random.h.

## Member Typedef Documentation

## distribution_type

template<typename _RealType = double>

typedef chi_squared_distribution<_RealType> std::chi_squared_distribution< _RealType >::param_type::distribution_type

Definition at line 2636 of file random.h.

## Constructor & Destructor Documentation

## param_type() [1/2]

template<typename _RealType = double>

std::chi_squared_distribution< _RealType >::param_type::param_type | ( |  | ) |

inline

Definition at line 2638 of file random.h.

## param_type() [2/2]

template<typename _RealType = double>

std::chi_squared_distribution< _RealType >::param_type::param_type | ( | _RealType | __n | ) |

inline explicit

Definition at line 2641 of file random.h.

## Member Function Documentation

## n()

template<typename _RealType = double>

_RealType std::chi_squared_distribution< _RealType >::param_type::n | ( |  | ) | const

inline

Definition at line 2646 of file random.h.

## Friends And Related Symbol Documentation

## operator!=

template<typename _RealType = double>

bool operator!= | ( | const param_type & | __p1,
|  | const param_type & | __p2
| ) |  |

friend

Definition at line 2654 of file random.h.

## operator==

template<typename _RealType = double>

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2
| ) |  |

friend

Definition at line 2650 of file random.h.

The documentation for this struct was generated from the following file:

- random.h